Subject: [bug#32887] [v2] gnu: Audacity: Use glib-or-gtk-build-system instead of a wrapper.

From: [email-masked] (Ludovic Courtès)
Date: Tue, 02 Oct 2018 11:54:27 +0200

Hello,

Leo Famulari <[email-masked]> skribis:

> The reason the build failed unexpectedly with glib-or-gtk-build-system
> is that that build system sets #:out-of-source #t by default, unlike the 
> gnu-build-system.
>
> The Audacity build process doesn't handle this properly when generating
> Makefiles for the translations.

Good catch!

> Audacity works for me with this patch. I haven't pushed yet because I
> don't know why glib-or-gtk-build-system builds out of source by default,
> so I don't know if it's really a good idea to do it this way.
>
> * gnu/packages/audio.scm (audacity)[build-system]: Use glib-or-gtk-build-system.
> [arguments]: Remove the 'wrap-program' phase. Set #:out-of-source #f.

I think this patch is definitely OK, and I suppose we could even switch
‘glib-or-gtk-build-system’ to default to #:out-of-source #f.  I don’t
think there was any justification, it could have been cut-n-paste.

Thanks,
Ludo’.